com.jscape.inet.ssh.protocol.v2.transport.keyexchange

## Class HostKeyVerificationService.OperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.ssh.protocol.v2.transport.keyexchange.HostKeyVerificationService.OperationException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    HostKeyVerificationService.InvalidHostKeyException
  Enclosing interface:
    HostKeyVerificationService

      public static class HostKeyVerificationService.OperationException
      extends java.lang.Exception

  Represents operation error.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationException()`
    `OperationException(java.lang.String message)`
    `OperationException(java.lang.String message, java.lang.Throwable cause)`
    `OperationException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HostKeyVerificationService.OperationException` | `wrap(java.lang.Throwable e)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationException

          public OperationException()

    - #### OperationException

          public OperationException(java.lang.String message)

    - #### OperationException

          public OperationException(java.lang.String message,
                                    java.lang.Throwable cause)

    - #### OperationException

          public OperationException(java.lang.Throwable cause)

  - ### Method Detail

    - #### wrap

          public static HostKeyVerificationService.OperationException wrap(java.lang.Throwable e)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved